include( 'shared.lua' )

function optionspanel()
    local options = vgui.Create("DFrame")
	options:SetMouseInputEnabled(true)
	options:SetKeyboardInputEnabled(true)
    options:SetPos(550, 320)
    options:SetSize(250, 250)
    options:SetTitle( "Options" )
    options:SetVisible( true )
    options:MakePopup()
    
    local swap = vgui.Create( "DCheckBoxLabel", options )
    swap:SetParent( options )
    swap:SetPos( 10,30 ) //10/36
    swap:SetText( "Swap destroy/create mouse buttons" )
    swap.OnChange = function(chkBox)
        if (swap:GetChecked() == true) then
            RunConsoleCommand("minecraft_swapattack", "1")
        end
        if (swap:GetChecked() == false) then
            RunConsoleCommand("minecraft_swapattack", "0")
        end
    end    
    if (GetConVar("minecraft_swapattack"):GetInt() > 0) then
        swap:SetValue( 1 )
    end
    if (GetConVar("minecraft_swapattack"):GetInt() < 1) then
        swap:SetValue( 0 )
    end
    swap:SizeToContents()
    
    local ds = vgui.Create( "DCheckBoxLabel", options )
    ds:SetParent( options )
    ds:SetPos( 10,50 ) //y + 20
    ds:SetText( "Disable sounds" )
    ds.OnChange = function(chkBox)
        if (ds:GetChecked() == true) then
            RunConsoleCommand("minecraft_disablesounds", "1")
        end
        if (ds:GetChecked() == false) then
            RunConsoleCommand("minecraft_disablesounds", "0")
        end
    end    
    if (GetConVar("minecraft_disablesounds"):GetInt() > 0) then
        ds:SetValue( 1 )
    end
    if (GetConVar("minecraft_disablesounds"):GetInt() < 1) then
        ds:SetValue( 0 )
    end
    ds:SizeToContents()
    
    local mo = vgui.Create( "DCheckBoxLabel", options )
    mo:SetParent( options )
    mo:SetPos( 10,70 ) //y + 20
    mo:SetText( "Only delete Minecraft blocks" )
    mo.OnChange = function(chkBox)
        if (mo:GetChecked() == true) then
            RunConsoleCommand("minecraft_deletemconly", "1")
        end
        if (mo:GetChecked() == false) then
            RunConsoleCommand("minecraft_deletemconly", "0")
        end
    end    
    if (GetConVar("minecraft_deletemconly"):GetInt() > 0) then
        mo:SetValue( 1 )
    end
    if (GetConVar("minecraft_deletemconly"):GetInt() < 1) then
        mo:SetValue( 0 )
    end
    mo:SizeToContents()
    
    local dl = vgui.Create( "DCheckBoxLabel", options )
    dl:SetParent( options )
    dl:SetPos( 10,96 ) //y + 20
    dl:SetText( "Distance limit" )
    dl.OnChange = function(chkBox)
        if (dl:GetChecked() == true) then
            RunConsoleCommand("minecraft_distancelimit", "1")
        end
        if (dl:GetChecked() == false) then
            RunConsoleCommand("minecraft_distancelimit", "0")
        end
    end    
    if (GetConVar("minecraft_distancelimit"):GetInt() > 0) then
        dl:SetValue( 1 )
    end
    if (GetConVar("minecraft_distancelimit"):GetInt() < 1) then
        dl:SetValue( 0 )
    end
    dl:SizeToContents()
    
    local NumSlider = vgui.Create( "DNumSlider", options )
    NumSlider:SetPos( 106,75 )
    NumSlider:SetWide( 130 )
    NumSlider:SetText( "" )
    NumSlider:SetMin( 0 ) -- Minimum number of the slider
    NumSlider:SetMax( 1000 ) -- Maximum number of the slider
    NumSlider:SetDecimals( 0 ) -- Sets a decimal. Zero means it's a whole number
    NumSlider:SetConVar( "minecraft_maxspawndist" ) -- Set the convar  
    
    local bh = vgui.Create( "DCheckBoxLabel", options )
    bh:SetParent( options )
    bh:SetPos( 10,133 ) //y + 20
    bh:SetText( "Block health" )
    local lasthealth = 0
    bh.OnChange = function(chkBox)
        if (bh:GetChecked() == true) then
            lasthealth = GetConVar("minecraft_blockhealth"):GetInt()
            if (lasthealth < 0) then
                lasthealth = 101
            end
            RunConsoleCommand("minecraft_blockhealth", tostring(lasthealth))
        end
        if (bh:GetChecked() == false) then
            RunConsoleCommand("minecraft_blockhealth", "-1") //invincible blocks
        end
    end    
    if (GetConVar("minecraft_blockhealth"):GetInt() > 0) then
        bh:SetValue( 1 )
    end
    if (GetConVar("minecraft_blockhealth"):GetInt() < 0) then
        bh:SetValue( 0 )
    end
    bh:SizeToContents()
    
    local NumSlider2 = vgui.Create( "DNumSlider", options )
    NumSlider2:SetPos( 106,112 )
    NumSlider2:SetWide( 130 )
    NumSlider2:SetText( "" )
    NumSlider2:SetMin( -1 ) -- Minimum number of the slider
    NumSlider2:SetMax( 999 ) -- Maximum number of the slider
    NumSlider2:SetDecimals( 0 ) -- Sets a decimal. Zero means it's a whole number
    NumSlider2:SetConVar( "minecraft_blockhealth" ) -- Set the convar
    NumSlider2.OnValueChanged = function (pSelf, fValue)
        if (fValue < "0") then
            bh:SetValue(0)
        end
        if (fValue > "0") then
            bh:SetValue(1)
        end
        RunConsoleCommand("minecraft_blockhealth", tostring(fValue))
    end

    local lav1 = vgui.Create( "DCheckBoxLabel", options )
    lav1:SetParent( options )
    lav1:SetPos( 10,159 ) //y + 20
    lav1:SetText( "Lava ignites the player" )
    lav1.OnChange = function(chkBox)
        if (lav1:GetChecked() == true) then
            RunConsoleCommand("minecraft_lavaigniteplayer", "1")
        end
        if (lav1:GetChecked() == false) then
            RunConsoleCommand("minecraft_lavaigniteplayer", "0")
        end
    end    
    if (GetConVar("minecraft_lavaigniteplayer"):GetInt() > 0) then
        lav1:SetValue( 1 )
    end
    if (GetConVar("minecraft_lavaigniteplayer"):GetInt() < 1) then
        lav1:SetValue( 0 )
    end
    lav1:SizeToContents()
    
    local lav2 = vgui.Create( "DCheckBoxLabel", options )
    lav2:SetParent( options )
    lav2:SetPos( 10,179 ) //y + 20
    lav2:SetText( "Lava ignites other blocks" )
    lav2.OnChange = function(chkBox)
         if (lav2:GetChecked() == true) then
            RunConsoleCommand("minecraft_lavaigniteblocks", "1")
         end
         if (lav2:GetChecked() == false) then
            RunConsoleCommand("minecraft_lavaigniteblocks", "0")
         end
     end    
    if (GetConVar("minecraft_lavaigniteblocks"):GetInt() > 0) then
         lav2:SetValue( 1 )
     end
    if (GetConVar("minecraft_lavaigniteblocks"):GetInt() < 1) then
         lav2:SetValue( 0 )
     end
     lav2:SizeToContents()
   
    local tomenu = vgui.Create("DButton")
    tomenu:SetParent( options )
    tomenu:SetText( "Close" )
    tomenu:SetPos( 90, 210 )
    tomenu:SetSize( 80, 30 )
    tomenu.DoClick = function ( btn ) //when the button is clicked
        options:Close()
    end
end

function infopanel()
    
    local info = vgui.Create("DFrame")
	info:SetMouseInputEnabled(true)
	info:SetKeyboardInputEnabled(true)
    info:SetPos(550,320) -- set the frame's position on the screen
    info:SetSize(250, 300) -- set the frame size 543, 228
    info:SetTitle( "Readme!" ) -- set the frame title
    info:SetVisible( true ) -- Make the frame visible
    info:MakePopup() -- make the frame popup
   
    local  info1 = vgui.Create("DLabel", info)
    info1:SetText("Important stuff:")
    info1:SetPos(86, 24)
    info1:SizeToContents()
    
    local  info2 = vgui.Create("DLabel", info)
    info2:SetText("--- This is the garrysmod.org version!")
    info2:SetPos(10, 48)
    info2:SizeToContents()
    
    local  info20 = vgui.Create("DLabel", info)
    info20:SetText("- Right click a block type for faster switching")
    info20:SetPos(10, 64)
    info20:SizeToContents()
    
    local  info3 = vgui.Create("DLabel", info)
    info3:SetText("- Blocks are destructible")
    info3:SetPos(10, 80)
    info3:SizeToContents()
    
    local  info4 = vgui.Create("DLabel", info)
    info4:SetText("- Added lava and water blocks (ignite, extinguish)")
    info4:SetPos(10, 96)
    info4:SizeToContents()
    
    local  info5 = vgui.Create("DLabel", info)                   
    info5:SetText("  (you can swim in them, try jumping)")
    info5:SetPos(10, 112)
    info5:SizeToContents()
    
    local  info6 = vgui.Create("DLabel", info)
    info6:SetText("More than 1940 blocks will crash the game")
    info6:SetPos(10, 134)
    info6:SizeToContents()
    
    
    
    local  info7 = vgui.Create("DLabel", info)
    info7:SetText("Thank you for using this swep!")
    info7:SetPos(10, 160)
    info7:SizeToContents()
    
    local  info8 = vgui.Create("DLabel", info)
    info8:SetText("I'm working as hard as I can on updates,")
    info8:SetPos(10, 182)
    info8:SizeToContents()
    
    local  info9 = vgui.Create("DLabel", info)
    info9:SetText("so stay tuned for more blocks and features!")
    info9:SetPos(10, 196)
    info9:SizeToContents()
    
    local  info11 = vgui.Create("DLabel", info)
    info11:SetText("This panel will only show up once")
    info11:SetPos(10, 230)
    info11:SizeToContents()
    
    local tomenu = vgui.Create("DButton")
    tomenu:SetParent( info )
    tomenu:SetText( "Close" )
    tomenu:SetPos( 90, 260 )
    tomenu:SetSize( 80, 30 )
    tomenu.DoClick = function ( btn ) //when the button is clicked
        info:Close()
        RunConsoleCommand("mc_menu")
    end
end

function testpanel() -- spawn menu (for blocks)

    local test = vgui.Create("DFrame") -- Create the frame
	test:SetMouseInputEnabled(true)
	test:SetKeyboardInputEnabled(true)
    local removemenu = vgui.Create("DButton")
    local options = vgui.Create("DButton")
    blockcount = 0
    for k, v in pairs( ents.GetAll() ) do
        if ( v:IsValid() ) then
            if (v:GetModel() == "models/minecraft/mc_brick.mdl" || v:GetModel() == "models/minecraft/mc_chest_multiblock.mdl" || v:GetModel() == "models/minecraft/mc_dirt.mdl" || v:GetModel() == "models/minecraft/mc_dirt_multiblock.mdl" || v:GetModel() == "models/minecraft/mc_foliage.mdl" || v:GetModel() == "models/minecraft/mc_glass.mdl" || v:GetModel() == "models/minecraft/mc_gravel.mdl" || v:GetModel() == "models/minecraft/mc_metal_box.mdl" || v:GetModel() == "models/minecraft/mc_mud.mdl" || v:GetModel() == "models/minecraft/mc_rock.mdl" || v:GetModel() == "models/minecraft/mc_sand.mdl" || v:GetModel() == "models/minecraft/mc_snow.mdl" || v:GetModel() == "models/minecraft/mc_wood.mdl" || v:GetModel() == "models/minecraft/mc_wood_multiblock.mdl" || v:GetModel() == "models/minecraft/mc_wood_plank.mdl" || v:GetModel() == "models/minecraft/mc_zombieflesh.mdl" || v:GetModel() == "models/mc_furnace.mdl" || v:GetModel() == "models/mc_pumpkin.mdl" || v:GetModel() == "models/mc_tntblock.mdl" || v:GetModel() == "models/minecraft/mc_grass_multiblock.mdl" || v:GetModel() == "models/minecraft/mc_snow_multiblock.mdl" || v:GetModel() == "models/minecraft/mc_grass.mdl" ) then
            blockcount = blockcount + 1
        end
        end
    end
    //blockcount = blockcount - 2 //remove the viewmodel and toybox ents
    //more than 1940 blocks = crash
      
    local infolabel = vgui.Create( "DLabel", test )
    infolabel:SetText("Blocks: " .. tostring(blockcount))
    //print( .. tostring(blockcount) " blocks" )
    infolabel:SetPos( 485, 367 ) //485/344
    if (blockcount > 999) then
        infolabel:SetPos( 478, 344 )
    end
    infolabel:SizeToContents()
    
    removemenu:SetParent( test ) -- parent the button to the frame
    removemenu:SetText( "Remove" ) -- set the button text
    removemenu:SetPos(415 , 364) -- 482, 316
    removemenu:SetSize( 50, 20 ) -- set the button size
    removemenu.DoClick = function ( btn ) -- this will be called when the button is clicked
                local menu123 = DermaMenu() -- create a derma menu
                menu123:AddOption("Remove ALL blocks", function()
                // Msg("Removed all minecraft blocks!")
                blockcount = 0
                infolabel:SetText("Blocks: " .. tostring(blockcount))
                //RunConsoleCommand("ent_remove_all", "mcblock")
				if (CLIENT) then
				RunConsoleCommand("minecraft_removeallblocks")
				end
                end )
                menu123:Open()
        end  -- ending the doclick function
    
    options:SetParent( test ) -- parent the button to the frame
    options:SetText( "Options" ) -- set the button text
    options:SetPos(345 , 364) -- 348, 364
    options:SetSize( 55, 20 ) -- set the button size
    options.DoClick = function ( btn ) -- this will be called when the button is clicked
        RunConsoleCommand("mc_options")
        end  -- ending the doclick function
    
    local spawntype = vgui.Create( "DCheckBoxLabel", DermaPanel )
    spawntype:SetParent( test )
    spawntype:SetPos( 10,367 ) //130/367
    spawntype:SetText( "Uncheck/Check if blocks spawn underground/floating!" )
    spawntype.OnChange = function(chkBox)
        if (spawntype:GetChecked() == true) then
            RunConsoleCommand("minecraft_spawntype", "2")
        end
        if (spawntype:GetChecked() == false) then
            RunConsoleCommand("minecraft_spawntype", "1")
        end
    end    
    if (GetConVar("minecraft_spawntype"):GetInt() == 2) then
        spawntype:SetValue( 1 )
    end
    if (GetConVar("minecraft_spawntype"):GetInt() == 1) then
        spawntype:SetValue( 0 )
    end
    spawntype:SizeToContents()


//-----------FIRST ROW----------//    
    local stone = vgui.Create("DImageButton", test)
    stone:SetMaterial( "VGUI/minecraft/stone_spawn" )
    stone:SizeToContents()
    stone:SetPos(5,25)
    stone.DoClick = function()
        RunConsoleCommand("minecraft_blocktype", "21");
    end
    stone.DoRightClick = function()
        RunConsoleCommand("minecraft_blocktype", "21");
        test:Close();
    end

    local cobblestone = vgui.Create("DImageButton", test)
    cobblestone:SetMaterial( "VGUI/minecraft/cobblestone_spawn" )
    cobblestone:SizeToContents()
    cobblestone:SetPos(72,25)
    cobblestone.DoClick = function()
        RunConsoleCommand("minecraft_blocktype", "6");
    end
    cobblestone.DoRightClick = function()
        RunConsoleCommand("minecraft_blocktype", "6");
        test:Close();
    end
    
    local mcobblestone = vgui.Create("DImageButton", test)
    mcobblestone:SetMaterial( "VGUI/minecraft/mossy_cobblestone_spawn" )
    mcobblestone:SizeToContents()
    mcobblestone:SetPos(139,25)
    mcobblestone.DoClick = function()
        RunConsoleCommand("minecraft_blocktype", "15");
    end
    mcobblestone.DoRightClick = function()
        RunConsoleCommand("minecraft_blocktype", "15");
        test:Close();
    end
 
    local ad = vgui.Create("DImageButton", test)
    ad:SetMaterial( "VGUI/minecraft/adminium_spawn" )
    ad:SizeToContents()
    ad:SetPos(206,25)
    ad.DoClick = function()
        RunConsoleCommand("minecraft_blocktype", "1");
    end
    ad.DoRightClick = function()
        RunConsoleCommand("minecraft_blocktype", "1");
        test:Close()
    end

    local gr = vgui.Create("DImageButton", test)
    gr:SetMaterial( "VGUI/minecraft/gravel_spawn" )
    gr:SizeToContents()
    gr:SetPos(273,25)
    gr.DoClick = function()
        RunConsoleCommand("minecraft_blocktype", "12");
    end
    gr.DoRightClick = function()
        RunConsoleCommand("minecraft_blocktype", "12");
        test:Close()
    end    

    local di = vgui.Create("DImageButton", test)
    di:SetMaterial( "VGUI/minecraft/dirt_spawn" )
    di:SizeToContents()
    di:SetPos(340,25)
    di.DoClick = function()
        RunConsoleCommand("minecraft_blocktype", "9");
    end
    di.DoRightClick = function()
        RunConsoleCommand("minecraft_blocktype", "9");
        test:Close()
    end    

    local cl = vgui.Create("DImageButton", test)
    cl:SetMaterial( "VGUI/minecraft/clay_spawn" )
    cl:SizeToContents()
    cl:SetPos(407,25)
    cl.DoClick = function()
        RunConsoleCommand("minecraft_blocktype", "4");
    end
    cl.DoRightClick = function()
        RunConsoleCommand("minecraft_blocktype", "4");
        test:Close()
    end    

    local sa = vgui.Create("DImageButton", test)
    sa:SetMaterial( "VGUI/minecraft/sand_spawn" )
    sa:SizeToContents()
    sa:SetPos(474,25)
    sa.DoClick = function()
        RunConsoleCommand("minecraft_blocktype", "18");
    end
    sa.DoRightClick = function()
        RunConsoleCommand("minecraft_blocktype", "18");
        test:Close()
    end
//-----------SECOND ROW---------//
    local co = vgui.Create("DImageButton", test)
    co:SetMaterial( "VGUI/minecraft/coal_ore_spawn" )
    co:SizeToContents()
    co:SetPos(5,92)
    co.DoClick = function()
        RunConsoleCommand("minecraft_blocktype", "5");
    end  
    co.DoRightClick = function()
        RunConsoleCommand("minecraft_blocktype", "5");
        test:Close()
    end

    local ir = vgui.Create("DImageButton", test)
    ir:SetMaterial( "VGUI/minecraft/iron_ore_spawn" )
    ir:SizeToContents()
    ir:SetPos(72,92)
    ir.DoClick = function()
        RunConsoleCommand("minecraft_blocktype", "13");
    end  
    ir.DoRightClick = function()
        RunConsoleCommand("minecraft_blocktype", "13");
        test:Close()
    end   
    
    local re = vgui.Create("DImageButton", test)
    re:SetMaterial( "VGUI/minecraft/redstone_ore_spawn" )
    re:SizeToContents()
    re:SetPos(139,92)
    re.DoClick = function()
        RunConsoleCommand("minecraft_blocktype", "17");
    end  
    re.DoRightClick = function()
        RunConsoleCommand("minecraft_blocktype", "17");
        test:Close()
    end    
    
    local dia = vgui.Create("DImageButton", test)
    dia:SetMaterial( "VGUI/minecraft/diamond_ore_spawn" )
    dia:SizeToContents()
    dia:SetPos(206,92)
    dia.DoClick = function()
        RunConsoleCommand("minecraft_blocktype", "8");
    end  
    dia.DoRightClick = function()
        RunConsoleCommand("minecraft_blocktype", "8");
        test:Close()
    end    
    
    local go = vgui.Create("DImageButton", test)
    go:SetMaterial( "VGUI/minecraft/gold_ore_spawn" )
    go:SizeToContents()
    go:SetPos(273,92)
    go.DoClick = function()
        RunConsoleCommand("minecraft_blocktype", "11");
    end  
    go.DoRightClick = function()
        RunConsoleCommand("minecraft_blocktype", "11");
        test:Close()
    end
    
    local ob = vgui.Create("DImageButton", test)
    ob:SetMaterial( "VGUI/minecraft/obsidian_spawn" )
    ob:SizeToContents()
    ob:SetPos(340,92)
    ob.DoClick = function()
        RunConsoleCommand("minecraft_blocktype", "16");
    end  
    ob.DoRightClick = function()
        RunConsoleCommand("minecraft_blocktype", "16");
        test:Close()
    end
    
    local sp = vgui.Create("DImageButton", test)
    sp:SetMaterial( "VGUI/minecraft/sponge_spawn" )
    sp:SizeToContents()
    sp:SetPos(407,92)
    sp.DoClick = function()
        RunConsoleCommand("minecraft_blocktype", "20");
    end  
    sp.DoRightClick = function()
        RunConsoleCommand("minecraft_blocktype", "20");
        test:Close()
    end    
    
    local sn = vgui.Create("DImageButton", test)
    sn:SetMaterial( "VGUI/minecraft/snow_spawn" )
    sn:SizeToContents()
    sn:SetPos(474,92)
    sn.DoClick = function()
        RunConsoleCommand("minecraft_blocktype", "19");
    end  
    sn.DoRightClick = function()
        RunConsoleCommand("minecraft_blocktype", "19");
        test:Close()
    end            
//-----------------THIRD ROW--------------//
    local br = vgui.Create("DImageButton", test)
    br:SetMaterial( "VGUI/minecraft/bricks_spawn" )
    br:SizeToContents()
    br:SetPos(5,159)
    br.DoClick = function()
        RunConsoleCommand("minecraft_blocktype", "3");
    end  
    br.DoRightClick = function()
        RunConsoleCommand("minecraft_blocktype", "3");
        test:Close()
    end    
    
    local wo = vgui.Create("DImageButton", test)
    wo:SetMaterial( "VGUI/minecraft/wood_plank_spawn" )
    wo:SizeToContents()
    wo:SetPos(72,159)
    wo.DoClick = function()
        RunConsoleCommand("minecraft_blocktype", "22");
    end  
    wo.DoRightClick = function()
        RunConsoleCommand("minecraft_blocktype", "22");
        test:Close()
    end
    
    local bl = vgui.Create("DImageButton", test)
    bl:SetMaterial( "VGUI/minecraft/bloodstone_spawn" )
    bl:SizeToContents()
    bl:SetPos(139,159)
    bl.DoClick = function()
        RunConsoleCommand("minecraft_blocktype", "2");
    end  
    bl.DoRightClick = function()
        RunConsoleCommand("minecraft_blocktype", "2");
        test:Close()
    end
    
    local li = vgui.Create("DImageButton", test)
    li:SetMaterial( "VGUI/minecraft/lightstone_spawn" )
    li:SizeToContents()
    li:SetPos(206,159)
    li.DoClick = function()
        RunConsoleCommand("minecraft_blocktype", "14");
    end  
    li.DoRightClick = function()
        RunConsoleCommand("minecraft_blocktype", "14");
        test:Close()
    end
    
    local cr = vgui.Create("DImageButton", test)
    cr:SetMaterial( "VGUI/minecraft/creeper_mud_spawn" )
    cr:SizeToContents()
    cr:SetPos(273,159)
    cr.DoClick = function()
        RunConsoleCommand("minecraft_blocktype", "7");
    end  
    cr.DoRightClick = function()
        RunConsoleCommand("minecraft_blocktype", "7");
        test:Close()
    end
    
    local gl = vgui.Create("DImageButton", test)
    gl:SetMaterial( "VGUI/minecraft/glass_spawn" )
    gl:SizeToContents()
    gl:SetPos(340,159)
    gl.DoClick = function()
        RunConsoleCommand("minecraft_blocktype", "23");
    end  
    gl.DoRightClick = function()
        RunConsoleCommand("minecraft_blocktype", "23");
        test:Close()
    end
    
    local ice = vgui.Create("DImageButton", test)
    ice:SetMaterial( "VGUI/minecraft/ice_spawn" )
    ice:SizeToContents()
    ice:SetPos(407,159)
    ice.DoClick = function()
        RunConsoleCommand("minecraft_blocktype", "24");
    end  
    ice.DoRightClick = function()
        RunConsoleCommand("minecraft_blocktype", "24");
        test:Close()
    end
    
    local tnt = vgui.Create("DImageButton", test)
    tnt:SetMaterial( "VGUI/minecraft/tnt_spawn" )
    tnt:SizeToContents()
    tnt:SetPos(474,159)
    tnt.DoClick = function()
        RunConsoleCommand("minecraft_blocktype", "30");
    end  
    tnt.DoRightClick = function()
        RunConsoleCommand("minecraft_blocktype", "30");
        test:Close()
    end
//-------------------FOURTH ROW--------------------//
    local iro = vgui.Create("DImageButton", test)
    iro:SetMaterial( "VGUI/minecraft/iron_spawn" )
    iro:SizeToContents()
    iro:SetPos(5,226)
    iro.DoClick = function()
        RunConsoleCommand("minecraft_blocktype", "26");
    end  
    iro.DoRightClick = function()
        RunConsoleCommand("minecraft_blocktype", "26");
        test:Close()
    end
    
    local gol = vgui.Create("DImageButton", test)
    gol:SetMaterial( "VGUI/minecraft/gold_spawn" )
    gol:SizeToContents()
    gol:SetPos(72,226)
    gol.DoClick = function()
        RunConsoleCommand("minecraft_blocktype", "27");
    end  
    gol.DoRightClick = function()
        RunConsoleCommand("minecraft_blocktype", "27");
        test:Close()
    end
    
    local diam = vgui.Create("DImageButton", test)
    diam:SetMaterial( "VGUI/minecraft/diamond_spawn" )
    diam:SizeToContents()
    diam:SetPos(139,226)
    diam.DoClick = function()
        RunConsoleCommand("minecraft_blocktype", "28");
    end  
    diam.DoRightClick = function()
        RunConsoleCommand("minecraft_blocktype", "28");
        test:Close()
    end
    
    local woo = vgui.Create("DImageButton", test)
    woo:SetMaterial( "VGUI/minecraft/wood_spawn" )
    woo:SizeToContents()
    woo:SetPos(206,226)
    woo.DoClick = function()
        RunConsoleCommand("minecraft_blocktype", "29");
    end  
    woo.DoRightClick = function()
        RunConsoleCommand("minecraft_blocktype", "29");
        test:Close()
    end
    
    local wor = vgui.Create("DImageButton", test)
    wor:SetMaterial( "VGUI/minecraft/workbench_spawn" )
    wor:SizeToContents()
    wor:SetPos(273,226)
    wor.DoClick = function()
        RunConsoleCommand("minecraft_blocktype", "32");
    end  
    wor.DoRightClick = function()
        RunConsoleCommand("minecraft_blocktype", "32");
        test:Close()
    end
    
    local ds = vgui.Create("DImageButton", test)
    ds:SetMaterial( "VGUI/minecraft/dirt_snow_spawn" )
    ds:SizeToContents()
    ds:SetPos(340,226)
    ds.DoClick = function()
        RunConsoleCommand("minecraft_blocktype", "33");
    end  
    ds.DoRightClick = function()
        RunConsoleCommand("minecraft_blocktype", "33");
        test:Close()
    end
    
    local db = vgui.Create("DImageButton", test)
    db:SetMaterial( "VGUI/minecraft/dirt_block_spawn" )
    db:SizeToContents()
    db:SetPos(407,226)
    db.DoClick = function()
        RunConsoleCommand("minecraft_blocktype", "31");
    end  
    db.DoRightClick = function()
        RunConsoleCommand("minecraft_blocktype", "31");
        test:Close()
    end
    
    local fn = vgui.Create("DImageButton", test)
    fn:SetMaterial( "VGUI/minecraft/furnace_spawn" )
    fn:SizeToContents()
    fn:SetPos(474,226)
    fn.DoClick = function()
        RunConsoleCommand("minecraft_blocktype", "35");
    end  
    fn.DoRightClick = function()
        RunConsoleCommand("minecraft_blocktype", "35");
        test:Close()
    end
//-------------------FIFTH ROW---------------------//    
    local bu = vgui.Create("DImageButton", test)
    bu:SetMaterial( "VGUI/minecraft/bush_spawn" )
    bu:SizeToContents()
    bu:SetPos(5,293)
    bu.DoClick = function()
        RunConsoleCommand("minecraft_blocktype", "25");
    end  
    bu.DoRightClick = function()
        RunConsoleCommand("minecraft_blocktype", "25");
        test:Close()
    end
    
    local pk = vgui.Create("DImageButton", test)
    pk:SetMaterial( "VGUI/minecraft/pumpkin_spawn" )
    pk:SizeToContents()
    pk:SetPos(72,293)
    pk.DoClick = function()
        RunConsoleCommand("minecraft_blocktype", "34");
    end  
    pk.DoRightClick = function()
        RunConsoleCommand("minecraft_blocktype", "34");
        test:Close()
    end
    
    local che = vgui.Create("DImageButton", test)
    che:SetMaterial( "VGUI/minecraft/chest_spawn" )
    che:SizeToContents()
    che:SetPos(139,293)
    che.DoClick = function()
        RunConsoleCommand("minecraft_blocktype", "36");
    end  
    che.DoRightClick = function()
        RunConsoleCommand("minecraft_blocktype", "36");
        test:Close()
    end
    
    local bok = vgui.Create("DImageButton", test)
    bok:SetMaterial( "VGUI/minecraft/bookshelf_spawn" )
    bok:SizeToContents()
    bok:SetPos(206,293)
    bok.DoClick = function()
        RunConsoleCommand("minecraft_blocktype", "37");
    end  
    bok.DoRightClick = function()
        RunConsoleCommand("minecraft_blocktype", "37");
        test:Close()
    end
    
    local mob = vgui.Create("DImageButton", test)
    mob:SetMaterial( "VGUI/minecraft/mobspawner_spawn" )
    mob:SizeToContents()
    mob:SetPos(273,293)
    mob.DoClick = function()
        RunConsoleCommand("minecraft_blocktype", "38");
    end  
    mob.DoRightClick = function()
        RunConsoleCommand("minecraft_blocktype", "38");
        test:Close()
    end
    
    local jb = vgui.Create("DImageButton", test)
    jb:SetMaterial( "VGUI/minecraft/jukebox_spawn" )
    jb:SizeToContents()
    jb:SetPos(340,293)
    jb.DoClick = function()
        RunConsoleCommand("minecraft_blocktype", "39");
    end  
    jb.DoRightClick = function()
        RunConsoleCommand("minecraft_blocktype", "39");
        test:Close()
    end

    local wat = vgui.Create("DImageButton", test)
    wat:SetMaterial( "VGUI/minecraft/water_spawn" )
    wat:SizeToContents()
    wat:SetPos(407,293)
    wat.DoClick = function()
        RunConsoleCommand("minecraft_blocktype", "40");
    end  
    wat.DoRightClick = function()
        RunConsoleCommand("minecraft_blocktype", "40");
        test:Close()
    end
    
    local lav = vgui.Create("DImageButton", test)
    lav:SetMaterial( "VGUI/minecraft/lava_spawn" )
    lav:SizeToContents()
    lav:SetPos(474,293)
    lav.DoClick = function()
        RunConsoleCommand("minecraft_blocktype", "41");
    end  
    lav.DoRightClick = function()
        RunConsoleCommand("minecraft_blocktype", "41");
        test:Close()
    end
    
    test:SetPos(350,250) -- set the frame's position on the screen
    test:SetSize(543, 390) -- set the frame size 543, 228
    test:SetTitle( "Block Types" ) -- set the frame title
    test:SetVisible( true ) -- Make the frame visible
    test:MakePopup() -- make the frame popup
end -- ending the function
concommand.Add("mc_menu", testpanel) -- adding the console command
concommand.Add("mc_firstinfo", infopanel) //info panel for all of you who are too stupid to read the fucking description
concommand.Add("mc_options", optionspanel)
CreateConVar( "minecraft_maxspawndist", "270", { FCVAR_REPLICATED } )
CreateConVar( "minecraft_lavaigniteplayer", "0", { FCVAR_REPLICATED } )
CreateConVar( "minecraft_lavaigniteblocks", "0", { FCVAR_REPLICATED } )
CreateConVar( "minecraft_deletemconly", "1", { FCVAR_REPLICATED } )
CreateConVar( "minecraft_blocktype", "21", { FCVAR_REPLICATED } )
CreateConVar( "minecraft_disablesounds", "0", { FCVAR_REPLICATED } )
CreateConVar( "minecraft_distancelimit", "0", { FCVAR_REPLICATED } )
CreateConVar( "minecraft_blockhealth", "101", { FCVAR_REPLICATED } )
CreateConVar( "minecraft_spawntype", "2", { FCVAR_REPLICATED } )
CreateConVar( "minecraft_swapattack", "0", { FCVAR_REPLICATED } )